
%global meadversion 22.3.2.0_2
%global namedversion 22.3.2.0-2-redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00002

# Template marker
%bcond_without mead

# Mandrel is sensitive to internal changes of the JDK so we need to make sure
# Mandrel is compatible with the installed JDK, thus we require a specific
# jdk version to be installed.
%global jdkversion %(rpm -q --qf '%%{VERSION}-%%{RELEASE}' java-17-openjdk || : )
%global jdkepoch %(rpm -q --qf '%%{EPOCH}:' java-17-openjdk || : )
%global jdkdir %{_jvmdir}/java-17-openjdk-%{jdkversion}.%{_arch}

%define maven_version 22.3.2.0-2-redhat-00002

Name:    quarkus-mandrel-java
Summary: Mandrel jars
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: GPLv2 with exceptions
Group:   Development/Java

%if %with mead
Source102: pointsto-22.3.2.0-2-redhat-00002-sources.jar
Source103: objectfile-22.3.2.0-2-redhat-00002-sources.jar
Source104: compiler-22.3.2.0-2-redhat-00002-sources.jar
Source105: svm-configure-22.3.2.0-2-redhat-00002-sources.jar
Source106: graal-sdk-22.3.2.0-2-redhat-00002.pom
Source107: svm-agent-22.3.2.0-2-redhat-00002-sources.jar
Source108: objectfile-22.3.2.0-2-redhat-00002.pom
Source109: jvmti-agent-base-22.3.2.0-2-redhat-00002-sources.jar
Source110: pointsto-22.3.2.0-2-redhat-00002.jar
Source111: mandrel-packaging-wrapper-linux-amd64-22.3.2.0-2-redhat-00002.jar
Source112: library-support-22.3.2.0-2-redhat-00002-sources.jar
Source113: jvmti-agent-base-22.3.2.0-2-redhat-00002.jar
Source114: compiler-22.3.2.0-2-redhat-00002.jar
Source115: jvmti-agent-base-22.3.2.0-2-redhat-00002.pom
Source116: mandrel-java-all-22.3.2.0-2-redhat-00002-project-sources.tar.gz
Source117: svm-driver-22.3.2.0-2-redhat-00002.jar
Source118: svm-driver-22.3.2.0-2-redhat-00002-sources.jar
Source119: native-image-base-22.3.2.0-2-redhat-00002.jar
Source120: svm-22.3.2.0-2-redhat-00002.jar
Source121: svm-diagnostics-agent-22.3.2.0-2-redhat-00002-sources.jar
Source122: svm-configure-22.3.2.0-2-redhat-00002.pom
Source123: library-support-22.3.2.0-2-redhat-00002.jar
Source124: svm-agent-22.3.2.0-2-redhat-00002.pom
Source125: svm-driver-22.3.2.0-2-redhat-00002.pom
Source126: svm-22.3.2.0-2-redhat-00002-sources.jar
Source127: objectfile-22.3.2.0-2-redhat-00002.jar
Source128: pointsto-22.3.2.0-2-redhat-00002.pom
Source129: svm-22.3.2.0-2-redhat-00002.pom
Source130: library-support-22.3.2.0-2-redhat-00002.pom
Source131: svm-diagnostics-agent-22.3.2.0-2-redhat-00002.jar
Source132: compiler-22.3.2.0-2-redhat-00002.pom
Source133: mandrel-packaging-wrapper-linux-amd64-22.3.2.0-2-redhat-00002.pom
Source134: svm-diagnostics-agent-22.3.2.0-2-redhat-00002.pom
Source135: native-image-base-22.3.2.0-2-redhat-00002-sources.jar
Source136: svm-agent-22.3.2.0-2-redhat-00002.jar
Source137: graal-sdk-22.3.2.0-2-redhat-00002-sources.jar
Source138: svm-configure-22.3.2.0-2-redhat-00002.jar
Source139: native-image-base-22.3.2.0-2-redhat-00002.pom
Source140: graal-sdk-22.3.2.0-2-redhat-00002.jar
%endif

URL:     https://github.com/graalvm/mandrel

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: javapackages-filesystem
BuildRequires: java-17-openjdk-devel

%description
%{summary}.

%package jdk-17-binding
Summary: Mandrel jars for JDK 17 based build
Requires: java-17-openjdk-devel = %{jdkepoch}%{jdkversion}
Requires: %{name} = %{version}

%description jdk-17-binding
%{summary}.

%prep
if [ -z "%jdkversion" ]
then
    echo "rpm failed to obtain java-17-openjdk version, check BuildRequires"
    exit 11
fi

%build

%install
cd %{_sourcedir}
# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}

for jar in *-%{namedversion}*.jar; do %{__cp} -p ${jar} %{buildroot}%{_javadir}/%{name}/${jar/-%{namedversion}/}; done

# add symlinks in openjdk
%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm
%{__ln_s} %{_javadir}/%{name}/library-support.jar %{buildroot}%{jdkdir}/lib/svm/
%{__ln_s} %{_javadir}/%{name}/library-support-sources.jar %{buildroot}%{_javadir}/%{name}/library-support.src.zip
%{__ln_s} %{_javadir}/%{name}/library-support.src.zip %{buildroot}%{jdkdir}/lib/svm/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/svm/builder
%{__ln_s} %{_javadir}/%{name}/svm.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/svm-sources.jar %{buildroot}%{_javadir}/%{name}/svm.src.zip
%{__ln_s} %{_javadir}/%{name}/svm.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/pointsto-sources.jar %{buildroot}%{_javadir}/%{name}/pointsto.src.zip
%{__ln_s} %{_javadir}/%{name}/pointsto.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/objectfile-sources.jar %{buildroot}%{_javadir}/%{name}/objectfile.src.zip
%{__ln_s} %{_javadir}/%{name}/objectfile.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/native-image-base.jar %{buildroot}%{jdkdir}/lib/svm/builder/
%{__ln_s} %{_javadir}/%{name}/native-image-base-sources.jar %{buildroot}%{_javadir}/%{name}/native-image-base.src.zip
%{__ln_s} %{_javadir}/%{name}/native-image-base.src.zip %{buildroot}%{jdkdir}/lib/svm/builder/

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-driver-sources.jar %{buildroot}%{_javadir}/%{name}/svm-driver.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-driver.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base-sources.jar %{buildroot}%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{__ln_s} %{_javadir}/%{name}/jvmti-agent-base.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-agent-sources.jar %{buildroot}%{_javadir}/%{name}/svm-agent.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-agent.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent-sources.jar %{buildroot}%{_javadir}/%{name}/svm-diagnostics-agent.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-diagnostics-agent.src.zip %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-configure.jar %{buildroot}%{jdkdir}/lib/graalvm
%{__ln_s} %{_javadir}/%{name}/svm-configure-sources.jar %{buildroot}%{_javadir}/%{name}/svm-configure.src.zip
%{__ln_s} %{_javadir}/%{name}/svm-configure.src.zip %{buildroot}%{jdkdir}/lib/graalvm

%{__mkdir_p} %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk.jar %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/graal-sdk-sources.jar %{buildroot}%{_javadir}/%{name}/graal-sdk.src.zip
%{__ln_s} %{_javadir}/%{name}/graal-sdk.src.zip %{buildroot}%{jdkdir}/lib/jvmci
%{__ln_s} %{_javadir}/%{name}/compiler.jar %{buildroot}%{jdkdir}/lib/jvmci/graal.jar
%{__ln_s} %{_javadir}/%{name}/compiler-sources.jar %{buildroot}%{_javadir}/%{name}/graal.src.zip
%{__ln_s} %{_javadir}/%{name}/graal.src.zip %{buildroot}%{jdkdir}/lib/jvmci/

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/svm.jar
%{_javadir}/%{name}/svm-sources.jar
%{_javadir}/%{name}/svm.src.zip
%{_javadir}/%{name}/pointsto.jar
%{_javadir}/%{name}/pointsto-sources.jar
%{_javadir}/%{name}/pointsto.src.zip
%{_javadir}/%{name}/objectfile.jar
%{_javadir}/%{name}/objectfile-sources.jar
%{_javadir}/%{name}/objectfile.src.zip
%{_javadir}/%{name}/native-image-base.jar
%{_javadir}/%{name}/native-image-base-sources.jar
%{_javadir}/%{name}/native-image-base.src.zip
%{_javadir}/%{name}/svm-driver.jar
%{_javadir}/%{name}/svm-driver-sources.jar
%{_javadir}/%{name}/svm-driver.src.zip
%{_javadir}/%{name}/graal-sdk.jar
%{_javadir}/%{name}/graal-sdk-sources.jar
%{_javadir}/%{name}/graal-sdk.src.zip
%{_javadir}/%{name}/compiler.jar
%{_javadir}/%{name}/compiler-sources.jar
%{_javadir}/%{name}/graal.src.zip
%{_javadir}/%{name}/library-support.jar
%{_javadir}/%{name}/library-support-sources.jar
%{_javadir}/%{name}/library-support.src.zip
%{_javadir}/%{name}/jvmti-agent-base.jar
%{_javadir}/%{name}/jvmti-agent-base-sources.jar
%{_javadir}/%{name}/jvmti-agent-base.src.zip
%{_javadir}/%{name}/svm-agent.jar
%{_javadir}/%{name}/svm-agent-sources.jar
%{_javadir}/%{name}/svm-agent.src.zip
%{_javadir}/%{name}/svm-diagnostics-agent.jar
%{_javadir}/%{name}/svm-diagnostics-agent-sources.jar
%{_javadir}/%{name}/svm-diagnostics-agent.src.zip
%{_javadir}/%{name}/svm-configure.jar
%{_javadir}/%{name}/svm-configure-sources.jar
%{_javadir}/%{name}/svm-configure.src.zip
%{_javadir}/%{name}/mandrel-packaging-wrapper-linux-amd64.jar

%{jdkdir}/lib/svm/builder/svm.jar
%{jdkdir}/lib/svm/builder/svm.src.zip
%{jdkdir}/lib/svm/builder/pointsto.jar
%{jdkdir}/lib/svm/builder/pointsto.src.zip
%{jdkdir}/lib/svm/builder/objectfile.jar
%{jdkdir}/lib/svm/builder/objectfile.src.zip
%{jdkdir}/lib/svm/builder/native-image-base.jar
%{jdkdir}/lib/svm/builder/native-image-base.src.zip
%{jdkdir}/lib/graalvm/svm-driver.jar
%{jdkdir}/lib/graalvm/svm-driver.src.zip
%{jdkdir}/lib/jvmci/graal-sdk.jar
%{jdkdir}/lib/jvmci/graal-sdk.src.zip
%{jdkdir}/lib/jvmci/graal.jar
%{jdkdir}/lib/jvmci/graal.src.zip
%{jdkdir}/lib/svm/library-support.jar
%{jdkdir}/lib/svm/library-support.src.zip
%{jdkdir}/lib/graalvm/jvmti-agent-base.jar
%{jdkdir}/lib/graalvm/jvmti-agent-base.src.zip
%{jdkdir}/lib/graalvm/svm-agent.jar
%{jdkdir}/lib/graalvm/svm-agent.src.zip
%{jdkdir}/lib/graalvm/svm-diagnostics-agent.jar
%{jdkdir}/lib/graalvm/svm-diagnostics-agent.src.zip
%{jdkdir}/lib/graalvm/svm-configure.jar
%{jdkdir}/lib/graalvm/svm-configure.src.zip

%files jdk-17-binding
# No files, just for pulling in the version-specific JDK

%changelog
* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.2.0_2-3.redhat_00002.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Tue Apr 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.2.0_2-2.redhat_00002.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Apr 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.2.0_2-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Apr 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.2.0_1-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Tue Apr 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.1_1-4.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Mar 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.1_1-3.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Mar 29 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.1_1-2.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Mar 29 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.1_1-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Tue Mar 28 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-7.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Jan 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-6.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Tue Jan 24 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-5.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Mon Jan 23 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-4.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Jan 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-3.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Jan 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-2.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Jan 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.1.0_1-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Jan 11 2023 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-10.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Dec 23 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-9.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Dec 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-8.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Dec 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-7.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Dec 22 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-6.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Dec 16 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-5.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Dec 01 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-4.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Nov 17 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-3.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Thu Nov 17 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-2.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Oct 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.1_1-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Tue Sep 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.0_1-5.redhat_00002.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Mon Sep 12 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.0_1-4.redhat_00002.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Mon Sep 12 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.0_1-3.redhat_00002.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Sep 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.0_1-2.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Fri Sep 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 22.3.0.0_1-1.redhat_00001.1
- Built by CPaaS
Signed-off-by: sgehwolf <sgehwolf@redhat.com> 

* Wed Sep 07 2022 Severin Gehwolf <sgehwolf@redhat.com> - 22.3.0.0-1
- Initial wrapper RPM package for Mandrel 22
